# _item_t Struct Reference

`#include <lists.h>`

Collaboration diagram for _item_t:

[legend]

## Data Fields

void * | data
Item_t * | Next
Item_t * | Previous

## Detailed Description

Definition at line 7 of file lists.h.

## Field Documentation

void* _item_t::data

Definition at line 11 of file lists.h.

Referenced by kmod_add().

Item_t* _item_t::Next

Definition at line 10 of file lists.h.

Item_t* _item_t::Previous

Definition at line 9 of file lists.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/lists.h